<template lang="pug">
.col.pb-3
  BaseModalLoader(:isLoading='isConfiguring')
  BaseCard(tabIndex="-1" ref="mainCard").highlightOnFocus
    template(v-slot:header)
      .d-flex.justify-content-between
        div #[h5 Cards]
        .div.mx-2(v-if="isLoading")
          i.fa.fa-spinner.fa-pulse
        .ml-auto.clickable(v-if='cards && !isLoading && !inEdit'
                           @click='setEdit(true)')
          kbd.keyHint.mr-2(v-if="showKeyHints") E
          i.fa.fa-cog
        .ml-auto.clickable(v-if='inEdit'
                           @click='setEdit(false)')
          kbd.keyHint.mr-2(v-if="showKeyHints") Esc
          i.fa.fa-times
    li(key="0")
      ZeroSuppression(v-if='cards' ref="zsp"
                      :cards="cards" :inEdit="inEdit"
                      @loading-change="onZSPLoad($event)")
    li(key="1")
      .row(v-for='card in cards')
          DaqCard(ref="Cards" :key="getKey(card.name)"
                  :card="card" :zsp="$refs.zsp"
                  :inEdit="inEdit"
                  @loaded="onCardLoaded")

    li(key="2" v-show='inEdit')
      button.btn.btn-secondary.float-right.mx-1(type='submit' @click='cancel()')
        kbd.keyHint.mr-2(v-if="showKeyHints") Esc
        | Cancel
      button.btn.btn-primary.float-right.mx-1(type='submit' @click='configure()' :disabled="isLoading || !canConfigure")
        kbd.keyHint.mr-2(v-if="showKeyHints") Ctrl+S
        | Configure
</template>
<script>
export { default } from './CardList.vue.js';
</script>
